# Function constMap

- constMap<const M, const S>(mappingEntries, shape?): ConstMapRet<ToGenericMappingFunc<M, S>>

- #### Type Parameters

  - #### const M extends MappingEntries<unknown>

  - #### const S extends Shape = undefined

  #### Parameters

  - ##### mappingEntries: M

  - ##### `Optional` shape: S

  #### Returns ConstMapRet<ToGenericMappingFunc<M, S>>

  - Defined in core/base/dist/esm/utils/mapping.d.ts:76

Generated using TypeDoc